Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.security.proxytrust
Interface ProxyTrust

All Superinterfaces:
  Remote

public interface ProxyTrust
extends Remote

Defines a remote interface for obtaining a proxy trust verifier. A service that uses specialized proxies (proxies that will not directly be considered trusted by clients) can export a bootstrap remote object that implements this interface to allow clients to verify that the proxies can be trusted as proxies for the service. The client typically configures the `ProxyTrustVerifier` trust verifier for use with `Security.verifyObjectTrust`; given a service proxy, `ProxyTrustVerifier` obtains from it a bootstrap proxy that implements `ProxyTrust` and, after verifying that the bootstrap proxy is trusted by the client, calls the `getProxyVerifier` method of the bootstrap proxy to obtain a verifier, and then uses that verifier to determine if the original service proxy can be trusted. Other trust verifiers may also make use of `ProxyTrust`.

Since:
  2.0

Method Summary
`TrustVerifier` | `getProxyVerifier()` Returns a `TrustVerifier` which can be used to verify that a proxy can be trusted as a proxy for the service; that is, the `isTrustedObject` method of the returned verifier can be called with a candidate proxy.

Method Detail

### getProxyVerifier

    public TrustVerifier getProxyVerifier()
                                   throws RemoteException

  Returns a `TrustVerifier` which can be used to verify that a proxy can be trusted as a proxy for the service; that is, the `isTrustedObject` method of the returned verifier can be called with a candidate proxy. The verifier should be able to verify all proxies for the service, including proxies for resources (such as leases and registrations).

  Returns:
    a `TrustVerifier` which can be used to verify that a proxy can be trusted as a proxy for the service
  Throws:
    `RemoteException` - if a communication-related exception occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved